Subject: bug#51964: 29.0.50; Wishlist: It'd be nice with a pull+push command in vc-dir

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 24 Sep 2022 20:30:00 +0200

Juri Linkov <[email-masked]> writes:

> I wonder why this couldn't be implemented by using the existing backend
> functions 'pull' and 'push'?  Then the only thing required for a backend
> to support 'vc-pull-and-push' is just to return a process from the
> backend function 'pull'.  IOW, I don't see a problem of moving
> the logic of vc-git-pull-and-push to vc-pull-and-push.

That may well be possible -- I just don't know whether all the backends
(that have -pull/-push) would be amenable to that.

But I see there's only two of them bzr and hg, and looking at those
briefly, it does indeed look like the implementation could be lifted up
to vc-pull-and-push.